Skip to main content
GET
/
events
/
filter
/
next
Read Account Events Page
curl --request GET \
  --url https://api.example.com/events/filter/next
import requests

url = "https://api.example.com/events/filter/next"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/events/filter/next', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "events": [
    {
      "occurred": "2023-11-07T05:31:56Z",
      "event": "<string>",
      "resource": {},
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "related": [
        {}
      ],
      "payload": {},
      "follows": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "received": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "next_page": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Headers

x-prefect-api-version
string

Query Parameters

page-token
string
required

Response

Successful Response

A single page of events returned from the API, with an optional link to the next page of results

events
ReceivedEvent · object[]
required

The Events matching the query

total
integer
required

The total number of matching Events

next_page
string<uri> | null
required

The URL for the next page of results, if there are more

Minimum string length: 1